<div class="results-block">
  <%= render 'layouts/flash_messages' %>
</div>

<% if @stock %>
  <div class="card card-header results-block">
    <strong>Symbol: </strong> <%= @stock.ticker %>
    <strong>Name: </strong> <%= @stock.name %>
    <strong>Price: </strong> <%= @stock.price %>
    <% if !current_user.check_stock_in_portfolio(@stock.ticker) and current_user.less_than_limit %>
      <%= link_to 'Add to portfolio', user_stocks_path(ticker: @stock.ticker), method: :post, class: "btn btn-outline-success ml-3 my-sm-0" %>
    <% else %>
      <span class="badge badge-secondary">
        You are already tracking
        <% if current_user.check_stock_in_portfolio(@stock.ticker) %>
          this stock
        <% else %>
          10 stocks
        <% end %>
      </span>
    <% end %>
  </div>
<% end %>